<?php

namespace App\Wrangler\Components;

use Illuminate\Http\Request;
use Medialight\Textstem\Models\WranglerPage;
use Medialight\Textstem\Wrangler\ActiveComponent;

class Divider extends ActiveComponent
{
    public static string $description = 'Add a dividing line';

    public $config;

    public array $editSetup = [
        [
            'name' => 'template',
            'controltype' => 'select-template',
            'value' => 'default',

        ],
        [
            'name' => 'height',
            'controltype' => 'select',
            'value' => '1',
            'label' => 'Vertical Spacing',
            'value'=>"1rem",
            'options' => ["1rem","2rem","4rem","6rem","8rem","16rem","100%", "100vh"],
            'size' => 1,
        ],

    ];

    public function render(Request $request, WranglerPage $wranglerPage)
    {

        $view = $this->getView();

        return view($view, $this->config)->render();
    }

    public function preview()
    {
        return '<hr>';
    }
}
